Package com.sun.messaging.jms.management.server

## Class BrokerClusterInfo

- java.lang.Object
- - com.sun.messaging.jms.management.server.BrokerClusterInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class BrokerClusterInfo
      extends java.lang.Object
      implements java.io.Serializable

  This class contains constants/names for fields in the CompositeData that is returned by the operations of the Cluster Monitor and Cluster Config MBeans.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ADDRESS` | Address of broker in the form of host:port
    `static java.lang.String` | `ID` | The ID of the broker.
    `static java.lang.String` | `NUM_MSGS` | Number of messages stored in this broker's message store.
    `static java.lang.String` | `STATE` | State of broker
    `static java.lang.String` | `STATE_LABEL` | State label of broker.
    `static java.lang.String` | `STATUS_TIMESTAMP` | Status Timestamp.
    `static java.lang.String` | `TAKEOVER_BROKER_ID` | ID of the broker that has taken over this broker's store.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADDRESS

          public static final java.lang.String ADDRESS

      Address of broker in the form of host:port
      See Also:
        Constant Field Values

    - #### ID

          public static final java.lang.String ID

      The ID of the broker.
      See Also:
        Constant Field Values

    - #### STATE

          public static final java.lang.String STATE

      State of broker
      See Also:
        Constant Field Values

    - #### STATE_LABEL

          public static final java.lang.String STATE_LABEL

      State label of broker. This is useful when viewe in a JMX browser like jconsole.
      See Also:
        Constant Field Values

    - #### NUM_MSGS

          public static final java.lang.String NUM_MSGS

      Number of messages stored in this broker's message store.
      See Also:
        Constant Field Values

    - #### TAKEOVER_BROKER_ID

          public static final java.lang.String TAKEOVER_BROKER_ID

      ID of the broker that has taken over this broker's store.
      See Also:
        Constant Field Values

    - #### STATUS_TIMESTAMP

          public static final java.lang.String STATUS_TIMESTAMP

      Status Timestamp.
      See Also:
        Constant Field Values